midi-0.2.0.1: Handling of MIDI messages and files

Safe Haskell | None

Sound.MIDI.Message

Description

MIDI messages for real-time communication with MIDI devices. This does not cover MIDI file events. For these refer to Sound.MIDI.File.Event.

# Documentation

data T Source

Constructors

Channel T |
System T |

Instances

C T |
C T |

get :: C parser => Fallible parser T Source

getWithStatus :: C parser => Fallible (T parser) T Source

getIncompleteWithStatus :: C parser => Partial (Fallible (T parser)) T Source

put :: C writer => T -> writerSource

putWithStatus :: C writer => T -> T writerSource

maybeFromByteString :: ByteString -> T T Source

toByteString :: T -> ByteString Source